#ifndef __OLED_H
#define __OLED_H 

#include "sys.h"
#include "stdlib.h"	

#define USE_HORIZONTAL 0  //ʾ 0ʾ1ת180ʾ

//-----------------LED˿ڶ---------------- 

#define LED_ON GPIO_ResetBits(GPIOC,GPIO_Pin_12)
#define LED_OFF GPIO_SetBits(GPIOC,GPIO_Pin_12)

//-----------------OLED˿ڶ---------------- 

#define OLED_SCL_Clr() GPIO_ResetBits(GPIOG,GPIO_Pin_12)//SCL
#define OLED_SCL_Set() GPIO_SetBits(GPIOG,GPIO_Pin_12)

#define OLED_SDA_Clr() GPIO_ResetBits(GPIOD,GPIO_Pin_5)//SDA
#define OLED_SDA_Set() GPIO_SetBits(GPIOD,GPIO_Pin_5)

#define OLED_RES_Clr() GPIO_ResetBits(GPIOD,GPIO_Pin_2)//RES
#define OLED_RES_Set() GPIO_SetBits(GPIOD,GPIO_Pin_2)

#define OLED_DC_Clr()  GPIO_ResetBits(GPIOD,GPIO_Pin_15)//DC
#define OLED_DC_Set()  GPIO_SetBits(GPIOD,GPIO_Pin_15)
 		     
#define OLED_CS_Clr()  GPIO_ResetBits(GPIOD,GPIO_Pin_1)//CS
#define OLED_CS_Set()  GPIO_SetBits(GPIOD,GPIO_Pin_1)



#define OLED_CMD  0	//д
#define OLED_DATA 1	//д

void OLED_WR_Byte(u8 dat,u8 cmd);
void OLED_Address_Set(u16 x1,u16 x2,u16 y1,u16 y2);
void OLED_Clear(u16 x1,u16 y1,u16 x2,u16 y2,u8 color);
void OLED_ShowChar(u16 x,u16 y,u8 chr,u8 sizey);
void OLED_ShowString(u16 x,u16 y,u8 *dp,u8 sizey);
u32 oled_pow(u8 m,u8 n);
void OLED_ShowNum(u16 x,u16 y,u32 num,u8 len,u8 sizey);
void OLED_ShowChinese(u16 x,u16 y,u8 number,u8 sizey);
void OLED_ShowPicture(u16 x,u16 y,u16 sizex,u16 sizey,const u8 bmp[]);
void OLED_Init(void);


#endif

